de.esprit.appsuite.nio.binary

## Class Boolean32BufferWrapper

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.SimpleLogSupportAdapter
    - - de.esprit.appsuite.nio.binary.ByteBufferWrapper
      - - de.esprit.appsuite.nio.binary.NumberBufferWrapper
        - - de.esprit.appsuite.nio.binary.IntBufferWrapper
          - - de.esprit.appsuite.nio.binary.Boolean32BufferWrapper

- All Implemented Interfaces:
    BinaryDataStructure, SimpleLogSupport, Dumpable, Resettable

      public class Boolean32BufferWrapper
      extends IntBufferWrapper

  This class uses an `IntBufferWrapper` for modeling a boolean value which is being stored as an integer. The boolean value is true, if the int value equals 1.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Boolean32BufferWrapper(java.lang.String name, BinaryChannel binaryChannel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBooleanValue()`
    `void` | `reset()` Clears the internal cache and forces the data to be re-read again on the next access.

    - ### Methods inherited from class de.esprit.appsuite.nio.binary.IntBufferWrapper

      `createSingleValueBufferWrapper, getDoubleValue, getDoubleValue, getIntBuffer, getValue, getValue, getValues`

    - ### Methods inherited from class de.esprit.appsuite.nio.binary.NumberBufferWrapper

      `getSingleValueBufferWrapper`

    - ### Methods inherited from class de.esprit.appsuite.nio.binary.ByteBufferWrapper

      `getBinaryChannel, getByteBuffer, getByteOrder, getCapacity, getData, getEndPosition, getJavaDataType, getName, getNumberOfValues, getPredecessor, getReadOffset, getSize, getStartPosition, read, setPredecessor, setReadOffset`

    - ### Methods inherited from class de.esprit.common.log.SimpleLogSupportAdapter

      `getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Boolean32BufferWrapper

          public Boolean32BufferWrapper(java.lang.String name,
                                BinaryChannel binaryChannel)

  - ### Method Detail

    - #### getBooleanValue

          public boolean getBooleanValue()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### reset

          public void reset()

      Description copied from class: `ByteBufferWrapper`
      Clears the internal cache and forces the data to be re-read again on the next access.
      Specified by:
        `reset` in interface `Resettable`
      Overrides:
        `reset` in class `IntBufferWrapper`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.